Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2077989 (CVE-2022-27404) - CVE-2022-27404 FreeType: Buffer overflow in sfnt_init_face
Summary: CVE-2022-27404 FreeType: Buffer overflow in sfnt_init_face
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-27404
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2079203 2079204 2079270 2079271 2079272
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-22 19:06 UTC by Sage McTaggart
Modified: 2024-01-24 16:48 UTC (History)
18 users (show)

Fixed In Version: freetype 2.12.0
Doc Type: If docs needed, set a value
Doc Text:
A heap buffer overflow flaw was found in Freetype’s sfnt_init_face() function in the sfobjs.c file. The vulnerability occurs when creating a face with a strange file and invalid index. This flaw allows an attacker to read a small amount of memory, causing the application to crash.
Clone Of:
Environment:
Last Closed: 2022-12-05 03:33:27 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:7745 0 None None None 2022-11-08 10:21:47 UTC
Red Hat Product Errata RHSA-2022:8340 0 None None None 2022-11-15 10:59:58 UTC
Red Hat Product Errata RHSA-2024:0420 0 None None None 2024-01-24 16:47:59 UTC

Description Sage McTaggart 2022-04-22 19:06:13 UTC
FreeType commit 1e2eb65048f75c64b68708efed6ce904c31f3b2f was discovered to contain a heap buffer overflow via the function sfnt_init_face.

https://gitlab.freedesktop.org/freetype/freetype/-/issues/1138

Comment 1 TEJ RATHI 2022-04-27 07:57:25 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 2079203]


Created mingw-freetype tracking bugs for this issue:

Affects: fedora-all [bug 2079204]

Comment 4 errata-xmlrpc 2022-11-08 10:21:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7745 https://access.redhat.com/errata/RHSA-2022:7745

Comment 5 errata-xmlrpc 2022-11-15 10:59:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8340 https://access.redhat.com/errata/RHSA-2022:8340

Comment 6 Product Security DevOps Team 2022-12-05 03:33:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27404

Comment 8 errata-xmlrpc 2024-01-24 16:47:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:0420 https://access.redhat.com/errata/RHSA-2024:0420


Note You need to log in before you can comment on or make changes to this bug.